---
schema_version: "1"
id: 7b77fcc7e38b153788ef1940eef5050d2ea1dbcfb6635455301c912dfbb2d138
title: PATCH /hub/v1/approvals-v2/settings
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/updateApprovalSettings.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_approvals/updateApprovalSettings.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6ec8e9933d123edc8d704f928c1f4c83d1888b94889ac9d04a1abfef97de997e
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# PATCH /hub/v1/approvals-v2/settings

## Overview

Updates the approvals settings with the values provided in the request body. Currently only the EnableEmailApprovals setting can be updated using the API.

## JSON Parameters

| Name  | Type   |          | Description                                           |
| ----- | ------ | -------- | ----------------------------------------------------- |
| key   | string | Required | Key for the EnableEmailApprovals setting              |
| value | string | Required | True/false value for the EnableEmailApprovals setting |

## Responses

| Status                | Name      | Type   | Description                                                    |
| --------------------- | --------- | ------ | -------------------------------------------------------------- |
| **200**               | &nbsp;    | &nbsp; | **Response includes the approvals settings for current user.** |
| &nbsp;                | key       | string | Key for the EnableEmailApprovals setting                       |
| &nbsp;                | value     | string | True/false value for the EnableEmailApprovals setting          |
| &nbsp;                | &nbsp;    | &nbsp; | &nbsp;                                                         |
| **400_KeyRequired**   | &nbsp;    | &nbsp; | **Key is a required field.**                                   |
| &nbsp;                | message   | string | Key is a required field.                                       |
| &nbsp;                | errorcode | string | Error code for the exception (10002)                           |
| &nbsp;                | &nbsp;    | &nbsp; | &nbsp;                                                         |
| **400_ValueRequired** | &nbsp;    | &nbsp; | **Value is a required field.**                                 |
| &nbsp;                | message   | string | Value is a required field.                                     |
| &nbsp;                | errorcode | string | Error code for the exception (10002)                           |
| &nbsp;                | &nbsp;    | &nbsp; | &nbsp;                                                         |
| **400_ValueBoolean**  | &nbsp;    | &nbsp; | ** Value should be boolean.**                                  |
| &nbsp;                | message   | string | Value should be boolean.                                       |
| &nbsp;                | errorcode | string | Error code for the exception (10002)                           |
